## xsoldier 0.96

=== Makefile ===
# Makefile generated by imake - do not edit!
# $XConsortium: imake.c,v 1.91 95/01/12 16:15:47 kaleb Exp $

# ----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and <Imakefile>
# $XConsortium: Imake.tmpl,v 1.224.1.1 95/06/19 17:51:01 gildea Exp $
# $XFree86: xc/config/cf/Imake.tmpl,v 3.18 1995/07/12 15:27:23 dawes Exp $
#

.SUFFIXES: .i

# $XConsortium: Imake.cf,v 1.19 95/01/05 19:24:32 kaleb Exp $
# $XFree86: xc/config/cf/Imake.cf,v 3.15 1995/06/08 06:18:39 dawes Exp $

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.sample,v 1.9 94/04/08 17:02:06 rws Exp $
# site:  $XFree86: xc/config/cf/site.def,v 3.8 1995/05/27 01:56:50 dawes Exp $

# $XFree86: xc/config/cf/xf86site.def,v 3.48 1995/07/22 04:11:45 dawes Exp $

# -----------------------------------------------------------------------
# platform-specific configuration parameters - edit linux.cf to change

# platform:  $XConsortium: linux.cf,v 1.11 95/01/23 18:32:03 kaleb Exp $
# platform:  $XFree86: xc/config/cf/linux.cf,v 3.26 1995/07/12 15:27:34 dawes Exp $

# $XConsortium: lnxLib.rules,v 1.8 95/01/16 21:11:00 kaleb Exp $
# $XFree86: xc/config/cf/lnxLib.rules,v 3.14 1995/06/01 08:18:56 dawes Exp $

# $XConsortium: xfree86.cf,v 1.9 95/01/25 16:42:40 kaleb Exp $
# $XFree86: xc/config/cf/xfree86.cf,v 3.66 1995/07/22 04:11:47 dawes Exp $

LINKKITDIR = $(USRLIBDIR)/Server

       XF86SRC = $(SERVERSRC)/hw/xfree86
  XF86ACCELSRC = $(XF86SRC)/accel
    XF86COMSRC = $(XF86SRC)/common
 XF86CONFIGSRC = $(XF86COMSRC)
     XF86HWSRC = $(XF86SRC)/common_hw
     XF86OSSRC = $(XF86SRC)/os-support
  VGADRIVERSRC = $(XF86SRC)/vga256/drivers
VGA16DRIVERSRC = $(XF86SRC)/vga16/drivers
 VGA2DRIVERSRC = $(XF86SRC)/vga2/drivers
 MONODRIVERSRC = $(XF86SRC)/mono/drivers
   S3DRIVERSRC = $(XF86SRC)/accel/s3/drivers

        XFREE86DOCDIR = $(LIBDIR)/doc
      XFREE86PSDOCDIR = $(XFREE86DOCDIR)/PostScript
    XFREE86HTMLDOCDIR = $(XFREE86DOCDIR)/html
XFREE86JAPANESEDOCDIR = $(XFREE86DOCDIR)/Japanese

# $XConsortium: xf86.rules,v 1.7 95/01/25 16:34:39 kaleb Exp $
# $XFree86: xc/config/cf/xf86.rules,v 3.9 1995/07/12 15:27:38 dawes Exp $

# -----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $XConsortium: site.sample,v 1.9 94/04/08 17:02:06 rws Exp $
# site:  $XFree86: xc/config/cf/site.def,v 3.8 1995/05/27 01:56:50 dawes Exp $

# -----------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $XConsortium: Imake.rules,v 1.197.1.1 95/06/19 18:01:48 gildea Exp $
# rules:  $XFree86: xc/config/cf/Imake.rules,v 3.18 1995/07/22 09:39:32 dawes Exp $

 _NULLCMD_ = @ echo -n

          PATHSEP = /
            SHELL = /bin/sh

              TOP = .
      CURRENT_DIR = .

            IMAKE = imake
           DEPEND = gccmakedep
        MKDIRHIER = mkdir -p
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/util
           IXXSRC = $(UNSUPPORTEDSRC)/programs/ixx
              IXX = ixx
         IXXFLAGS = -s BaseObject -m TypeObj -r RequestObj -p Xf
      IXXINCLUDES = -i '<X11/Fresco/enter-scope.h>'

          INCROOT = /usr/X11R6/include
        USRLIBDIR = /usr/X11R6/lib
         SHLIBDIR = /usr/X11R6/lib
       LINTLIBDIR = $(USRLIBDIR)/lint
          MANPATH = /usr/X11R6/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)1
        LIBMANDIR = $(MANSOURCEPATH)3
       FILEMANDIR = $(MANSOURCEPATH)5

               AR = ar clq
  BOOTSTRAPCFLAGS =
               CC = gcc
               AS = as

.SUFFIXES: .cxx

              CXX = g++
    CXXDEBUGFLAGS = -O2 -m486
 CXXEXTRA_DEFINES =
CXXEXTRA_INCLUDES =
  CXXIDL_INCLUDES = -I$(TOP)/include
   CXXSTD_DEFINES = -Dlinux -D__i386__ -D_POSIX_SOURCE -D_BSD_SOURCE -D_GNU_SOURCE -DX_LOCALE
       CXXOPTIONS =
      CXXINCLUDES = $(INCLUDES) $(TOP_INCLUDES) $(CXXEXTRA_INCLUDES) $(CXXIDL_INCLUDES)
       CXXDEFINES = $(CXXINCLUDES) $(CXXSTD_DEFINES) $(THREADS_CXXDEFINES) $(CXXEXTRA_DEFINES)
         CXXFLAGS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(THREADS_CXXFLAGS) $(CXXDEFINES)

         COMPRESS = compress
              CPP = /lib/cpp $(STD_CPP_DEFINES)
    PREPROCESSCMD = gcc -E $(STD_CPP_DEFINES)
          INSTALL = install
     INSTALLFLAGS = -c
               LD = ld
              LEX = flex -l
           LEXLIB = -lfl
             YACC = bison -y
           CCYACC = bison -y
             LINT = lint
      LINTLIBFLAG = -C
         LINTOPTS = -axz
               LN = ln -s
             MAKE = make
               MV = mv
               CP = cp

           RANLIB = ranlib
  RANLIBINSTFLAGS =

               RM = rm -f
        MANSUFFIX = 1x
     LIBMANSUFFIX = 3x
    FILEMANSUFFIX = 5x
            TROFF = psroff
         MSMACROS = -ms
              TBL = tbl
              EQN = eqn

            DVIPS = dvips
            LATEX = latex

     STD_INCLUDES =
  STD_CPP_DEFINES = -traditional -Dlinux -D__i386__ -D_POSIX_SOURCE -D_BSD_SOURCE -D_GNU_SOURCE -DX_LOCALE
      STD_DEFINES = -Dlinux -D__i386__ -D_POSIX_SOURCE -D_BSD_SOURCE -D_GNU_SOURCE -DX_LOCALE
 EXTRA_LOAD_FLAGS = -Wl,-rpath,/usr/X11R6/lib
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES =
             TAGS = ctags

    SHAREDCODEDEF =
         SHLIBDEF =

     SHLIBLDFLAGS = -shared

         PICFLAGS = -fPIC

      CXXPICFLAGS = -fPIC

    PROTO_DEFINES = -DFUNCPROTO=15 -DNARROWPROTO

     INSTPGMFLAGS = -s

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4755
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -m 4755

      PROJECTROOT = /usr/X11R6

     TOP_INCLUDES = -I$(INCROOT)

      CDEBUGFLAGS = -O2 -m486
        CCOPTIONS = -ansi

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(EXTRA_DEFINES) $(PROTO_DEFINES) $(THREADS_DEFINES) $(DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREADS_CFLAGS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)
         LDPRELIB = -L$(USRLIBDIR)
        LDPOSTLIB =
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIB)
     CXXLDOPTIONS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIB)

           LDLIBS = $(LDPOSTLIB) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

           CCLINK = $(CC)

          CXXLINK = $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = -r
      DEPENDFLAGS =

        MACROFILE = linux.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/Project.tmpl 			$(IRULESRC)/site.def $(IRULESRC)/$(MACROFILE) 			$(IRULESRC)/xfree86.cf $(IRULESRC)/xf86.rules $(IRULESRC)/xf86site.def $(IRULESRC)/host.def $(EXTRA_ICONFIGFILES)

# ----------------------------------------------------------------------
# X Window System Build Parameters and Rules
# $XConsortium: Project.tmpl,v 1.249 95/05/23 21:36:40 matt Exp $
# $XFree86: xc/config/cf/Project.tmpl,v 3.18 1995/07/22 04:11:42 dawes Exp $

# -----------------------------------------------------------------------
# X Window System make variables; these need to be coordinated with rules

           BINDIR = /usr/X11R6/bin
     BUILDINCROOT = $(TOP)
      BUILDINCDIR = $(BUILDINCROOT)/X11
      BUILDINCTOP = ..
      BUILDLIBDIR = $(TOP)/usrlib
      BUILDLIBTOP = ..
           INCDIR = $(INCROOT)/X11
           ADMDIR = /usr/adm
           LIBDIR = $(USRLIBDIR)/X11

          FONTDIR = $(LIBDIR)/fonts
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
           TWMDIR = $(LIBDIR)/twm
           XSMDIR = $(LIBDIR)/xsm
           NLSDIR = $(LIBDIR)/nls
       XLOCALEDIR = $(LIBDIR)/locale
        PEXAPIDIR = $(LIBDIR)/PEX
      XAPPLOADDIR = $(LIBDIR)/app-defaults
       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

              RGB = rgb
            FONTC = bdftopcf
        MKFONTDIR = mkfontdir

       DOCUTILSRC = $(TOP)/doc/util
       XDOCMACROS = $(DOCUTILSRC)/macros.t
       XIDXMACROS = $(DOCUTILSRC)/indexmacros.t
       PROGRAMSRC = $(TOP)/programs
           LIBSRC = $(TOP)/lib
          FONTSRC = $(TOP)/fonts
       INCLUDESRC = $(TOP)/X11
        SERVERSRC = $(TOP)/programs/Xserver
       CONTRIBSRC = $(TOP)/../contrib
   UNSUPPORTEDSRC = $(TOP)/unsupported
           DOCSRC = $(TOP)/doc
           RGBSRC = $(TOP)/programs/rgb
      BDFTOPCFSRC = $(PROGRAMSRC)/bdftopcf
     MKFONTDIRSRC = $(PROGRAMSRC)/mkfontdir
    FONTSERVERSRC = $(PROGRAMSRC)/xfs
       FONTINCSRC = $(TOP)/include/fonts
        EXTINCSRC = $(TOP)/include/extensions
     TRANSCOMMSRC = $(LIBSRC)/xtrans
   TRANS_INCLUDES = -I$(TRANSCOMMSRC)

# $XConsortium: lnxLib.tmpl,v 1.5 95/01/11 21:44:44 kaleb Exp $
# $XFree86: xc/config/cf/lnxLib.tmpl,v 3.7 1995/04/09 13:39:23 dawes Exp $

          XLIBSRC = $(LIBSRC)/X11

SOXLIBREV = 6.0
DEPXONLYLIB =
XONLYLIB =  -lX11

LINTXONLY = $(LINTLIBDIR)/llib-lX11.ln

         XLIBONLY = $(XONLYLIB)

      XEXTLIBSRC = $(LIBSRC)/Xext
   LBXXEXTLIBSRC = $(TOP)/workInProgress/lbx/lib/Xext

    XEXEXTLIBSRC = $(LIBSRC)/XExExt

SOXEXTREV = 6.0
DEPXEXTLIB =
XEXTLIB =  -lXext

LINTXEXT = $(LINTLIBDIR)/llib-lXext.ln

SOXEXTREV = 6.0
DEPLBXXEXTLIB =
LBXXEXTLIB =  -llbxXext

LINTLBXXEXT = $(LINTLIBDIR)/llib-llbxXext.ln

DEPXEXEXTLIB = $(USRLIBDIR)/libXExExt.a
XEXEXTLIB =  -lXExExt

LINTXEXEXT = $(LINTLIBDIR)/llib-lXExExt.ln

     EXTENSIONLIB = $(XEXEXTLIB) $(XEXTLIB)
  DEPEXTENSIONLIB = $(DEPXEXEXTLIB) $(DEPXEXTLIB)
    LINTEXTENSION = $(LINTXEXEXT) $(LINTXEXT)

 LINTEXTENSIONLIB = $(LINTEXTENSION)
          DEPXLIB = $(DEPEXTENSIONLIB) $(DEPXONLYLIB)
             XLIB = $(EXTENSIONLIB) $(XONLYLIB)
         LINTXLIB = $(LINTXONLYLIB)

         XAUTHSRC = $(LIBSRC)/Xau

DEPXAUTHLIB = $(USRLIBDIR)/libXau.a
XAUTHLIB =  -lXau

LINTXAUTH = $(LINTLIBDIR)/llib-lXau.ln

      XDMCPLIBSRC = $(LIBSRC)/Xdmcp

DEPXDMCPLIB = $(USRLIBDIR)/libXdmcp.a
XDMCPLIB =  -lXdmcp

LINTXDMCP = $(LINTLIBDIR)/llib-lXdmcp.ln

           XMUSRC = $(LIBSRC)/Xmu

SOXMUREV = 6.0
DEPXMULIB =
XMULIB =  -lXmu

LINTXMU = $(LINTLIBDIR)/llib-lXmu.ln

       OLDXLIBSRC = $(LIBSRC)/oldX

DEPOLDXLIB = $(USRLIBDIR)/liboldX.a
OLDXLIB =  -loldX

LINTOLDX = $(LINTLIBDIR)/llib-loldX.ln

       TOOLKITSRC = $(LIBSRC)/Xt

SOXTREV = 6.0
DEPXTOOLONLYLIB =
XTOOLONLYLIB =  -lXt

LINTXTOOLONLY = $(LINTLIBDIR)/llib-lXt.ln

      DEPXTOOLLIB = $(DEPXTOOLONLYLIB) $(DEPSMLIB) $(DEPICELIB)
         XTOOLLIB = $(XTOOLONLYLIB) $(SMLIB) $(ICELIB)
     LINTXTOOLLIB = $(LINTXTOOLONLYLIB)

       AWIDGETSRC = $(LIBSRC)/Xaw

SOXAWREV = 6.0
DEPXAWLIB =
XAWLIB =  -lXaw

LINTXAW = $(LINTLIBDIR)/llib-lXaw.ln

       XTFSRC = $(TOP)/workInProgress/Xtf

SOXTFREV = 0.7
DEPXTFLIB =
XTFLIB =  -lXtf

LINTXTF = $(LINTLIBDIR)/llib-lXtf.ln

       FRESCOSRC = $(TOP)/workInProgress/Fresco

SOFRESCOREV = 0.7
DEPFRESCOLIB =
FRESCOLIB =  -lFresco

LINTFRESCO = $(LINTLIBDIR)/llib-lFresco.ln

         XILIBSRC = $(LIBSRC)/Xi

SOXINPUTREV = 6.0
DEPXILIB =
XILIB =  -lXi

LINTXI = $(LINTLIBDIR)/llib-lXi.ln

      XTESTLIBSRC = $(LIBSRC)/Xtst

SOXTESTREV = 6.0
DEPXTESTLIB =
XTESTLIB =  -lXtst

LINTXTEST = $(LINTLIBDIR)/llib-lXtst.ln

        PEXLIBSRC = $(LIBSRC)/PEX5

SOPEXREV = 6.0
DEPPEXLIB =
PEXLIB =  -lPEX5

LINTPEX = $(LINTLIBDIR)/llib-lPEX5.ln

        XIELIBSRC = $(LIBSRC)/XIE

SOXIEREV = 6.0
DEPXIELIB =
XIELIB =  -lXIE

LINTXIE = $(LINTLIBDIR)/llib-lXIE.ln

=== fix/Makefile ===
X11LIB     = /usr/X11/lib
XPMINCLUDE = /public/local/X11/include/
XPMLIB     = /public/local/X11/lib/
CC         = gcc -I$(XPMINCLUDE)

FOBJ2   =  fix2.o color.o


fix2: $(FOBJ2)
	gcc -o fix2 $(FOBJ2) -L$(X11LIB) -L$(XPMLIB) -lX11 -lXpm

clean:
	rm -f fix2 *.o *~ .*~

## xsoldier 1.8

=== debian/changelog ===
xsoldier (1:1.8-6) unstable; urgency=medium

  [ Sebastien CHAVAUX ]
  * New maintainer. (Closes: #738879)

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

 -- Sebastien CHAVAUX <seb95.scou@gmail.com>  Mon, 25 Feb 2019 18:30:35 +0100

xsoldier (1:1.8-5) unstable; urgency=medium

  * QA upload.
  * Move the Vcs to Salsa.
  * Compat 11.
  * Rules-Requires-Root: yes.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 01 Mar 2018 01:36:53 +0100

xsoldier (1:1.8-4) unstable; urgency=low

  * QA upload
  * d/control: Add Vcs- fields to collab-maint
  * d/copyright: Move to DEP-5 format. Add packager information. Update
    Yuusuke Hashimoto mail address.
  * d/rules:
    - Use dh $@ automatic layout.
    - Use --with autoreconf, drop --build --host in configure.
  * Remove dh_installdocs parameter, use a plain d/docs file.
  * Remove install cp from d/rules, use a plain d/install file.
  * Bump compat level to 9:
    - Update d/compat.
    - Remove manual hardening from d/rules.
    - Build-Depends: Bump dpkg, drop dpkg-dev.
  * Add all hardening in d/rules.

 -- Jean-Michel Nirgal Vourgère <jmv_deb@nirgal.com>  Wed, 26 Nov 2014 13:31:28 +0100

xsoldier (1:1.8-3) unstable; urgency=low

  * QA upload:
    - Change maintainer of orphaned package to Debian QA.
  * Added desktop file (Closes: #738084)
  * Bumped standards version to 3.9.6: No change required.

 -- Jean-Michel Nirgal Vourgère <jmv_deb@nirgal.com>  Fri, 14 Nov 2014 22:25:34 +0100

xsoldier (1:1.8-2) unstable; urgency=low

  * debian/rules: set ./configure options with
    dpkg-buildflags --export=configure
  * debian/control: added Build-Depends: dpkg-dev (>= 1.16.1) because
    this package uses dpkg-buildflags
  * debian/patches/bad-sprintf.diff: new file, fixes insecure sprintf()
    in manage.c
  * debian/patches/array-size-calculation.diff: new file, replaces
    sizeof(array) with sizeof(array)/sizeof(array[0]) when the program
    calculates the size of the array

 -- Oohara Yuuma <oohara@debian.org>  Wed, 08 Feb 2012 22:01:40 +0900

xsoldier (1:1.8-1) unstable; urgency=low

  * New upstream release
  * debian/rules, debian/README.Debian: disabled the joystick support
    because it is Linux specific and not maintained (closes: #636808)
  * debian/rules: removed the useless chmod at the end of the build
  * debian/source/format: new file, set the source format to 3.0 (quilt)
  * debian/control, debian/rules: don't copy config.guess and config.sub
    from autotools-dev because they are unnecessary
  * debian/control, debian/compat: set debhelper compatibility level to 8
  * debian/control, debian/rules: use dh-autoreconf to regenerate
    autoconf/automake files
  * debian/control: added Build-Conflicts: autoconf2.13, automake1.4
    just in case
  * debian/postinst: use /bin/sh because this script does not depend on
    bash
  * debian/postinst, debian/postrm: quoted exclamation marks just in case
  * debian/rules: added build-arch and build-indep targets
  * debian/control: set Standards-Version: to 3.9.2

 -- Oohara Yuuma <oohara@debian.org>  Sat, 20 Aug 2011 16:23:26 +0900

xsoldier (1:1.5-2) unstable; urgency=low

  * debian/control, debian/rules: Build-Depends: on autotools-dev because
    the package uses autoconf

 -- Oohara Yuuma <oohara@debian.org>  Fri, 13 Nov 2009 04:43:33 +0900

xsoldier (1:1.5-1) unstable; urgency=low

  * acknowledged NMU except for the following change:
    + debian/postrm: Remove /var/games only if it is not in the control
      of dpkg.  Don't remove /var even if it is empty.
  * new upstream release
  * new upstream release fixes the following bug:
    + make sure that an object never acts at the same frame as it is created
      (Closes: #171581)
  * new maintainer (Closes: #554262)
  * debian/changelog: added the "Old Changelog:" to the entry of version
    1:0.96-8.1 because its date is missing
  * debian/control: uses Homepage: for the upstream URL
  * debian/control: avoids to use the word "I" to satisfy lintian
  * debian/xsoldier.doc-base: set Section: to Games/Action
  * debian/compat: set debhelper compatibility level to 7
  * debian/control: updated versioned dependency on debhelper
  * debian/rules: replaced dh_clean -k with dh_prep
  * debian/prerm: removed because it does nothing
  * debian/control: set Standards-Version: to 3.8.3
  * debian/copyright: refers to /usr/share/common-licenses/GPL-2 rather than
    /usr/share/common-licenses/GPL because its license is "GPL version 2 or
    later"
  *

 -- Oohara Yuuma <oohara@debian.org>  Wed, 11 Nov 2009 21:19:09 +0900

xsoldier (1:1.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/watch: Added.
  * debian/rules:
    + Remove DH_COMPAT, now in debian/compat and level 4
    + Replaced deprecated chown call
    + Pass CFLAGS and LDFLAGS to configure script
  * Fix bashism in preinst (Closes: #475635)
  * debian/postrm: also remove /var/games (if empty) on purge (Closes: #333281)
  * debian/control:
    + Bump versioned debhelper version to 4
    + x-dev -> x11proto-core-dev
    + Remove versioned dependency on libsdl-image1.2-dev, satisfied in sarge
    + Added ${misc:Depends}
  * debian/menu: updated to new menu sections policy

 -- Raphael Geissert <atomo64@gmail.com>  Tue, 01 Jul 2008 15:10:20 -0500

xsoldier (1:1.4-1) unstable; urgency=low

  * New upstream release
  * acknowledged NMU (xlibs-dev transition) (closes: #346763)
  * debian/control: removed automake1.7 and autoconf because they are not
    necessary
  * the SDL version of the new upstream release quits if a TERM signal is
    received or if the window is closed (closes: #386181)

 -- Oohara Yuuma <oohara@debian.org>  Sat, 16 Sep 2006 18:36:54 +0900

xsoldier (1:1.3-5.1) unstable; urgency=low

  * Non-maintainer upload for xlibs-dev transition.
  * debian/control: Replace build-dep on xlibs-dev (Closes: #346763)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Thu, 19 Jan 2006 16:39:55 +0100



=== debian/control ===
Source: xsoldier
Section: games
Priority: optional
Maintainer: Sebastien CHAVAUX <seb95.scou@gmail.com>
Build-Depends: debhelper (>= 11~),
               libsdl-image1.2-dev,
               libsdl1.2-dev,
               libx11-dev,
               libxpm-dev,
               x11proto-core-dev,
Build-Conflicts: autoconf2.13, automake1.4
Standards-Version: 4.3.0
Rules-Requires-Root: binary-targets
Homepage: http://www.interq.or.jp/libra/oohara/xsoldier/index.html
Vcs-Git: https://salsa.debian.org/debian/xsoldier.git
Vcs-Browser: https://salsa.debian.org/debian/xsoldier.git

Package: xsoldier
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: shoot 'em up game with the "not shooting" bonus
 You control a space ship in a vertically scrolling window and shoot
 enemies.  If you kill the boss enemy which appears at the end of each stage,
 or if you can survive till the boss enemy gets bored with you and escapes,
 you can go to the next stage.
 .
 xsoldier has a unique feature --- the "not shooting" bonus.  You can get
 a pretty good score by not pressing the shoot button.  After all, if the
 game is a simple kill-everything and shooting is always a good thing, why
 do you have to press a shoot button?  You can play xsoldier as a simple
 kill-everything (and it is the best way to survive), but if you care your
 score, you need to kill all enemies with a minimum number of bullets.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
	--prefix=/usr --bindir=/usr/games \
	--localstatedir=/var --mandir=/usr/share/man \
	--with-sdl --disable-joystick

override_dh_install:
	dh_install

	# the score file is handled by maintainer scripts, so move it here
	cp $(CURDIR)/debian/xsoldier/var/games/xsoldier/xsoldier.scores \
	$(CURDIR)/debian/xsoldier/usr/share/games/xsoldier/xsoldier.scores
	rm -r $(CURDIR)/debian/xsoldier/var/

override_dh_fixperms:
	dh_fixperms
	chown root:games $(CURDIR)/debian/xsoldier/usr/games/xsoldier
	chmod 2755 $(CURDIR)/debian/xsoldier/usr/games/xsoldier

=== debian/watch ===
version=3

http://www.interq.or.jp/libra/oohara/xsoldier/xsoldier-(.+)\.tar\.gz
